Package org.firebirdsql.jna.embedded

## Class FirebirdEmbeddedLookup

- java.lang.Object
- - org.firebirdsql.jna.embedded.FirebirdEmbeddedLookup

    public class FirebirdEmbeddedLookup
    extends java.lang.Object

Locates a `FirebirdEmbeddedLibrary` using the service provider mechanism.

Since:
  5
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
`FirebirdEmbeddedLookup()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Optional<FirebirdEmbeddedLibrary>` `findFirebirdEmbedded()` Tries to find a Firebird Embedded library service provider for the current platform and install it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FirebirdEmbeddedLookup

    public FirebirdEmbeddedLookup()

### Method Detail

#### findFirebirdEmbedded

    public static java.util.Optional<FirebirdEmbeddedLibrary> findFirebirdEmbedded()

Tries to find a Firebird Embedded library service provider for the current platform and install it.

The first instance successfully found and installed will be returned.

Returns:
  the first embedded instance matching the current platform that installed without errors